Objects
List leads
List leads with cursor pagination and optional properties, associations, and search filters.
Overview
Use this endpoint to read leads in pages. Default lead properties include name, status, lead_source, pipeline, and stage. It requires public api oauth access token authentication and the crm.leads.read scope.
/api/crm/objects/leadscURL
GETcurl --request GET \ --url 'https://crm.notifyy.io/api/crm/objects/leads?properties=name%2Cstatus%2Cpipeline%2Cstage&associations=company&search=acme&limit=25' \ --header 'Authorization: Bearer nfy_public_api_access_token'Sample Request Body
Sample Response
{ "success": true, "message": "Leads retrieved successfully", "data": { "leads": [ { "id": 55, "properties": { "name": "Acme Lead", "status": "new", "pipeline": "default_pipeline", "stage": "new_stage" }, "associations": { "company": [ { "id": "456", "type": "lead_to_company" } ] } } ], "pagination": { "nextCursor": "opaque-cursor", "hasMore": true } }}Status Codes
| Code | Description |
|---|---|
| 200 | Leads were returned. |
Headers
Public API OAuth bearer token.
Example: Bearer nfy_public_api_access_token
| Object | Description |
|---|---|
Authorization string | RequiredPublic API OAuth bearer token. Example: Bearer nfy_public_api_access_token |
Query parameters
Comma-separated property internal names to return.
Example: name,status,pipeline,stage
Comma-separated associated object types to include.
Example: company
Search string forwarded to the CRM lead query service.
Example: acme
Opaque cursor returned by a previous list response.
Page size. Defaults to 50 and the maximum is 100.
Example: 25
| Object | Description |
|---|---|
properties string | OptionalComma-separated property internal names to return. Example: name,status,pipeline,stage |
associations string | OptionalComma-separated associated object types to include. Example: company |
search string | OptionalSearch string forwarded to the CRM lead query service. Example: acme |
cursor string | OptionalOpaque cursor returned by a previous list response. |
limit integer | OptionalPage size. Defaults to 50 and the maximum is 100. Example: 25 |
Response fields
List of matching leads.
Cursor for the next page.
| Object | Description |
|---|---|
data.leads object[] | List of matching leads. |
data.pagination.nextCursor string | null | Cursor for the next page. |